
ctools - Bug #1352

Running ctobssim in debug mode gives concurrent output of multiple threads

10/30/2014 03:28 PM - Knödlseder Jürgen

Status: New Start date: 10/30/2014

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When running ctobssim in debug mode with OpenMP support, the multiple threads give concurrent output:

2014-10-30T14:25:58:  Simulation area ...........: 1.9635e+112014-10-30T14:25:58:  Simulation area ...........: 1.9635e+11

 cm21.9635e+11 cm2

 cm2

2014-10-30T14:25:58:  Simulation cone ...........:

2014-10-30T14:25:58:  Simulation area ...........: RA=2014-10-30T14:25:58:  Simulation cone ...........: 2014-10-30T14:25:58: 

 Simulation cone ...........: 1.9635e+1183.6331RA=RA= cm2 deg85.25183.6331

, Dec= deg deg2014-10-30T14:25:58:  Simulation cone ...........: , Dec=23.5145, Dec=RA=22.0066 deg20.5145 deg82.0152, r= deg,

 r= deg5.5, r=5.5, Dec= deg deg5.522.0066

 deg deg2014-10-30T14:25:58:  Time interval .............: 2014-10-30T14:25:58:  Time interval .............:

, r=3.15576e+083.15578e+082014-10-30T14:25:58:  Time interval .............: 5.5 -  -  deg3.1558e+083.15578e+083.1558e+08

 -  s s2014-10-30T14:25:58:  Time interval .............: 3.15581e+08

3.15581e+08 s2014-10-30T14:25:58:  Photon energy range .......: 2014-10-30T14:25:58:  Photon energy range .......:  -

100 GeV - 100 GeV - 3.15583e+08 s

2014-10-30T14:25:58:  Photon energy range .......: 100 TeV

100 TeV2014-10-30T14:25:58:  Event energy range ........:

2014-10-30T14:25:58:  Event energy range ........: 100 GeV2014-10-30T14:25:58:  Photon energy range .......:  - 100 GeV - 100 GeV

 - 100 GeV - 100 TeV

100 TeV

2014-10-30T14:25:58:  Event energy range ........: 100 TeV

100 TeV

2014-10-30T14:25:58:  Event energy range ........: 100 GeV - 100 GeV - 100 TeV

100 TeV

It would be good to postpone the output to the moment when the threads are finished.

History

#1 - 10/30/2014 03:28 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#2 - 06/30/2015 11:31 PM - Knödlseder Jürgen

- Target version deleted (1.0.0)

Decide to do nothing about this for now. Remove from target 1.0.0 version.
